Mengatasi error update via terminal pada Backtrack


Ketika konek kesuatu jaringan wifi yang menggunakan proxy, seringkali mengalami error pada saat melakukan update maupun upgrade. Kali ini kebetulan pada operating system linux Backtrack. Itu semua dikarenakan kita belum melakukan setting proxy pada terminalnya. Berikut beberapa tampilan error dan solusinya ketika gagal melakukan update via terminal pada bactrack 

Problem
Solusinya ketikan : rm /var/lib/apt/lists/lock


Setelah itu coba lakukan update lagi, jika muncul seperti ini.


Itu dikarenakan beberapa hal : mungkin koneksi internetnya belum nyambung, mungkin koneksi internetnya menggunakan proxy dan diterminal belum dilakukan setting proxy.

Solusinya : 

1. Pastikan internet tersambung. Jika tidak menggunakan proxy langsung lakukan update pasti bisa.

2. Jika menggunakan proxy lakukan ekspor proxy via terminal dengan 

mengetikan export http_proxy="172.16.1.1:8080".

172.16.1.1:8080 ===> alamat proxy dan portnya

untuk mengecek sudah terset ketikan : echo $http_proxy 
 


3. Jika sudah, lakukan penambahan proxy pada file /etc/environment
Ketikan nano /etc/environment dan lakukan setting proxy nya seperti 

dibawah.

  
 4. Jika sudah lakukan restart bactrack dan lakukan  apt-get update , jika 

berhasil maka proses update dan upgrade akan berjalan.

update

 upgrade



Semoga bermanfaat :) 

Kunjungi juga ==> Mierebustelur.blogspot.com


EmoticonEmoticon